Subject: bug#34939: Some minibuffer behaviour is annoying

From: pinkanon pinkanon <[email-masked]>
Date: Mon, 01 Apr 2019 13:10:50 +0300

31.03.2019, 23:16, "Juri Linkov" <[email-masked]>:
> Messages in the echo area should not conceal the minibuffer. Period.
>
> There is a special function minibuffer-message for this purpose:
>
>   (add-hook 'minibuffer-setup-hook
>             (lambda ()
>               (setq-local command-error-function
>                           (lambda (error context _command)
>                             (minibuffer-message
>                              (concat context (get (car error)
>                                                   'error-message)))))))
>

This does the job! Thank you, Juri.

>>  (2) When I try to quit and some buffer is unchanged, I get the usual
>>  deal asking me what I want. The problem I have here [in addition to
>>  the problem discussed in (1), adapted to this case: "Type C-h for
>>  help."] is that I must use C-g, but not good old escape.
>
> To avoid all such problems, just bind keyboard-escape-quit globally
> when not on a tty where an ESC prefix still might be needed:
>
>   (when window-system
>     (define-key global-map [escape] 'keyboard-escape-quit))

 I have no luck w/ this one, though. Emacs 26.1 build 1, Arch Linux.
 steps: emacs -Q somefile -> Eval the code -> type something -> C-x C-c -> "Save file...? ..." -> Escape -> "Type C-h for help"